Search the Community

Showing results for tags 'skrypt startowy lisp'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Programy do wspomagania projektowania.
    • ZWCAD
    • Nakładki na ZWCAD i ZWCAD+
    • Wsparcie programistyczne LISP i VisualLISP
    • KOMPAS-3D / KOMPAS-3D LT
    • AutoTURN
    • ABViewer
    • RENGA
    • formZ (dawniej bonzai3d)
    • SMath
    • Programy obliczeniowe
    • Scan2CAD, PDF2CAD, PDF-XChange
    • Sprawy organizacyjne
  • Zagadnienia konstrukcyjne
    • Hyde Park
    • Dozór techniczny UDT

Blogs

  • Blog dmatusz
  • JoannaG Blog
  • pawmal Blog
  • awarchBlog
  • nikdomiBlog
  • KOMPAS-3D blog
  • Jak rozpocząć pracę w ZWCAD Architecture
  • Baza wiedzy CRM
  • Jak rozpocząć pracę w ZWCAD Mechanical
  • Konstruktorro
  • SMath blog
  • ikubicaBlog
  • kruszynskiBlog
  • Jak rozpocząć pracę w ZWCAD Architecture - część 2
  • Okon blog
  • Czysta wątroba
  • Trądzik różowaty
  • Ciekawostki ze świata
  • Blogger
  • Projektowanie 3D

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 1 result

  1. Historia LISPów startowych ZWPACK: ZWPack 2021 z 20 listopada 2020 - dodano szyfrowanie lispów, mierzenie z sumowaniem, zmianę stylu multilinii oraz wymiarowanie polilinii. ZWPack_2018.02.zip z 28 marca 2018 - dodano paletę narzędzi oraz wybór ostatnio zaznaczonych obiektów skrypt-startowy_v01.lsp z 29 grudnia 2017 - dodano tworzenie warstw z grubościami oraz edycję bloków zagnieżdżonych po kliknięciu skrypt-startowy_v00.lsp z 14 grudnia 2017 - opis Poniżej oryginalny post. ========================================================== Zastanawiam się nad jakie stosujecie ustawienia początkowe przy rysowaniu? Powszechnie znanym sposobem są szablony, ciekawy jestem czy ktoś stosuje zamiast (lub równolegle) swoje skrypty startowe. Na przykład listę i właściwości warstw można ustawić zarówno w szablonie jak i utworzyć za pomocą LISPa. Poniżej zamieszczam właśnie taką procedurę. Obsługa jest bardzo prosta, wystarczy dopisać na końcu (Utworzwarstwe "Nazwa_warstwy" Kolor "Rodzaj_linii") Oto cały kod (defun Linetype:Load ( linetype filename / *error* doc path linetypes ans ) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nLinetype:Load:*error*: " ) (princ msg ) (princ "\n") ) ) ) (setq path (findfile filename )) (if (not (null path ) ) (progn (setq doc (vla-get-activedocument (vlax-get-acad-object) )) ( setq linetypes ( vlax-get-property doc 'Linetypes ) ) (setq ans(vl-catch-all-apply 'vlax-invoke-method (list linetypes 'Load typlinii path ) ) ) (print ans ) ) ) nil ) (defun Utworzwarstwe ( nazwa kolor typlinii / *error* doc Warstwy Warstwa linetypes linetype ) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nUtworzwarstwe:*error*: " ) (princ msg ) (princ "\n") ) ) ) (setq doc (vla-get-activedocument (vlax-get-acad-object) )) (setq Warstwy (vlax-get-property doc 'Layers ) ) (setq Warstwa (vlax-invoke-method Warstwy 'Add nazwa ) ) (vlax-put-property Warstwa 'Color kolor ) ( setq linetypes ( vlax-get-property doc 'Linetypes ) ) (setq ltype(vl-catch-all-apply 'vlax-get-property (list linetypes 'Item typlinii ))) (if (vl-catch-all-error-p ltype ) (progn (Linetype:Load typlinii "zwcadiso.lin") ) ) (setq ans(vl-catch-all-apply 'vlax-put-property (list Warstwa 'Linetype typlinii ))) ) (defun c:lstart (/) (Utworzwarstwe "Osie" 1 "Center") (Utworzwarstwe "Ukryte" 254 "Hidden") (Utworzwarstwe "Opisy" 253 "Continuous") (Utworzwarstwe "Kreskowanie" 253 "Continuous") (Utworzwarstwe "Wymiary" 7 "Continuous") ) Po wczytaniu skryptu będzie dostępne polecenie "lstart", które utworzy warstwy jak poniżej. Załączam także sam skrypt LISP. lstart.lsp